package clusterPicking;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * class to represent rainbow colours; 256 values
 * this was put in here to make the jar file export easier (rather than as a separate file as in early versions)
 *  Copyright (C) 2013  Samantha Lycett
 *  
 *  This file is part of ClusterPicker.
 *
 *  ClusterPicker is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  ClusterPicker is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with ClusterPicker.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  
 * @author Samantha Lycett
 * @created 27 March 2012
 * @vesrion 27 March 2012
 */
public class rainbow_256_cols {

	private static String[] cols =
	{
		"#FF0000",
		"#FF0600",
		"#FF0C00",
		"#FF1200",
		"#FF1800",
		"#FF1E00",
		"#FF2400",
		"#FF2A00",
		"#FF3000",
		"#FF3600",
		"#FF3C00",
		"#FF4200",
		"#FF4800",
		"#FF4E00",
		"#FF5400",
		"#FF5A00",
		"#FF6000",
		"#FF6600",
		"#FF6C00",
		"#FF7200",
		"#FF7800",
		"#FF7E00",
		"#FF8300",
		"#FF8900",
		"#FF8F00",
		"#FF9500",
		"#FF9B00",
		"#FFA100",
		"#FFA700",
		"#FFAD00",
		"#FFB300",
		"#FFB900",
		"#FFBF00",
		"#FFC500",
		"#FFCB00",
		"#FFD100",
		"#FFD700",
		"#FFDD00",
		"#FFE300",
		"#FFE900",
		"#FFEF00",
		"#FFF500",
		"#FFFB00",
		"#FDFF00",
		"#F7FF00",
		"#F1FF00",
		"#EBFF00",
		"#E5FF00",
		"#DFFF00",
		"#D9FF00",
		"#D3FF00",
		"#CDFF00",
		"#C7FF00",
		"#C1FF00",
		"#BBFF00",
		"#B5FF00",
		"#AFFF00",
		"#A9FF00",
		"#A3FF00",
		"#9DFF00",
		"#97FF00",
		"#91FF00",
		"#8BFF00",
		"#85FF00",
		"#80FF00",
		"#7AFF00",
		"#74FF00",
		"#6EFF00",
		"#68FF00",
		"#62FF00",
		"#5CFF00",
		"#56FF00",
		"#50FF00",
		"#4AFF00",
		"#44FF00",
		"#3EFF00",
		"#38FF00",
		"#32FF00",
		"#2CFF00",
		"#26FF00",
		"#20FF00",
		"#1AFF00",
		"#14FF00",
		"#0EFF00",
		"#08FF00",
		"#02FF00",
		"#00FF04",
		"#00FF0A",
		"#00FF10",
		"#00FF16",
		"#00FF1C",
		"#00FF22",
		"#00FF28",
		"#00FF2E",
		"#00FF34",
		"#00FF3A",
		"#00FF40",
		"#00FF46",
		"#00FF4C",
		"#00FF52",
		"#00FF58",
		"#00FF5E",
		"#00FF64",
		"#00FF6A",
		"#00FF70",
		"#00FF76",
		"#00FF7C",
		"#00FF81",
		"#00FF87",
		"#00FF8D",
		"#00FF93",
		"#00FF99",
		"#00FF9F",
		"#00FFA5",
		"#00FFAB",
		"#00FFB1",
		"#00FFB7",
		"#00FFBD",
		"#00FFC3",
		"#00FFC9",
		"#00FFCF",
		"#00FFD5",
		"#00FFDB",
		"#00FFE1",
		"#00FFE7",
		"#00FFED",
		"#00FFF3",
		"#00FFF9",
		"#00FFFF",
		"#00F9FF",
		"#00F3FF",
		"#00EDFF",
		"#00E7FF",
		"#00E1FF",
		"#00DBFF",
		"#00D5FF",
		"#00CFFF",
		"#00C9FF",
		"#00C3FF",
		"#00BDFF",
		"#00B7FF",
		"#00B1FF",
		"#00ABFF",
		"#00A5FF",
		"#009FFF",
		"#0099FF",
		"#0093FF",
		"#008DFF",
		"#0087FF",
		"#0081FF",
		"#007CFF",
		"#0076FF",
		"#0070FF",
		"#006AFF",
		"#0064FF",
		"#005EFF",
		"#0058FF",
		"#0052FF",
		"#004CFF",
		"#0046FF",
		"#0040FF",
		"#003AFF",
		"#0034FF",
		"#002EFF",
		"#0028FF",
		"#0022FF",
		"#001CFF",
		"#0016FF",
		"#0010FF",
		"#000AFF",
		"#0004FF",
		"#0200FF",
		"#0800FF",
		"#0E00FF",
		"#1400FF",
		"#1A00FF",
		"#2000FF",
		"#2600FF",
		"#2C00FF",
		"#3200FF",
		"#3800FF",
		"#3E00FF",
		"#4400FF",
		"#4A00FF",
		"#5000FF",
		"#5600FF",
		"#5C00FF",
		"#6200FF",
		"#6800FF",
		"#6E00FF",
		"#7400FF",
		"#7A00FF",
		"#8000FF",
		"#8500FF",
		"#8B00FF",
		"#9100FF",
		"#9700FF",
		"#9D00FF",
		"#A300FF",
		"#A900FF",
		"#AF00FF",
		"#B500FF",
		"#BB00FF",
		"#C100FF",
		"#C700FF",
		"#CD00FF",
		"#D300FF",
		"#D900FF",
		"#DF00FF",
		"#E500FF",
		"#EB00FF",
		"#F100FF",
		"#F700FF",
		"#FD00FF",
		"#FF00FB",
		"#FF00F5",
		"#FF00EF",
		"#FF00E9",
		"#FF00E3",
		"#FF00DD",
		"#FF00D7",
		"#FF00D1",
		"#FF00CB",
		"#FF00C5",
		"#FF00BF",
		"#FF00B9",
		"#FF00B3",
		"#FF00AD",
		"#FF00A7",
		"#FF00A1",
		"#FF009B",
		"#FF0095",
		"#FF008F",
		"#FF0089",
		"#FF0083",
		"#FF007E",
		"#FF0078",
		"#FF0072",
		"#FF006C",
		"#FF0066",
		"#FF0060",
		"#FF005A",
		"#FF0054",
		"#FF004E",
		"#FF0048",
		"#FF0042",
		"#FF003C",
		"#FF0036",
		"#FF0030",
		"#FF002A",
		"#FF0024",
		"#FF001E",
		"#FF0018",
		"#FF0012",
		"#FF000C",
		"#FF0006" };
	
	public static List<String> getRainbowColours() {
		
		List<String> rainbowCols = new ArrayList<String>();
		rainbowCols.addAll(Arrays.asList(cols));
		
		return rainbowCols;
	}
	
	
}
